--- ./Source/JavaScriptCore/assembler/ARM64Assembler.h.orig	2022-09-07 02:14:42.000000000 +0200
+++ ./Source/JavaScriptCore/assembler/ARM64Assembler.h	2022-09-07 02:14:59.000000000 +0200
@@ -32,6 +32,9 @@
 #include <wtf/Assertions.h>
 #include <wtf/Vector.h>
 #include <stdint.h>
+#ifdef __APPLE__
+#include <libkern/OSCacheControl.h>
+#endif
 
 #define CHECK_DATASIZE_OF(datasize) ASSERT(datasize == 32 || datasize == 64)
 #define DATASIZE_OF(datasize) ((datasize == 64) ? Datasize_64 : Datasize_32)
@@ -2754,7 +2757,7 @@
 
     static void cacheFlush(void* code, size_t size)
     {
-#if OS(IOS)
+#if __APPLE__
         sys_cache_control(kCacheFunctionPrepareForExecution, code, size);
 #else
 #error "The cacheFlush support is missing on this platform."
